=============================================================================
    Intel(R) Server Platform S2600WT FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:       September 7, 2018

TO:         Intel(R) Server Platform S2600WT customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600WT_FRUSDR_118 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2015-Present Intel Corporation.

=============================================================================
                      ABOUT THIS RELEASE PACKAGE
=============================================================================

SDR file version:                   1.18 
Baseboard FRU file version:         1.00
Master configuration file version:  118
FRUSDR loader version:			    14.0 Build 9
FRU/SDR release notes:			    1.00 rev 1.18

SDR data based on system/thermal team SDR spreadsheet rev 23

=============================================================================
	     SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- S2600WT baseboard PBA G11481-201 or higher.

- Haswell processor C1 stepping or higher.

- BMC FW 01.46 or later

- BIOS 1.01.009 or later

- Front Panel, Hot-swap backplane, and Baseboard FRU data must be available
  for chassis auto-detection to succeed.

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

NOTE: If you updated BIOS and did not clear CMOS Ram, you should do that before
      installing this package.
	  
NOTE: You need to have ME FW 3.05 or later installed for the SSB Temp sensor to work properly.

=============================================================================
			INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC FW release 01.46 or later and BIOS 1.01.009 or later are
   pre-installed before attempting this FRU/SDR update.

2. Copy all of the files and directories in the S2600WT_FRUSDR_117.zip archive
   to a USB key, hard disk drive or floppy drive.

3. If the board FRU information has not been previously programmed, then
   default FRU information must be programmed before the update is started.
   This is done with the following command:
   frusdr.efi /fru s2600wtt.fru (10G network boards)
   frusdr.efi /fru s2600wt2.fru (1G network boards)
   frusdr.efi /fru s2600wttr.fru (BDW CPU)

4. Execute the following script to bring up the main FRU/SDR load menu:

     updS2600WT.nsh

5. Select Option 1 or 3 to do the SDR update.

6. The package should do an auto-config. If it does not, it will print
   an error message indicating why auto-detection failed and then present
   the standard chassis selection menu.

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

=============================================================================
                           ISSUES FIXED
=============================================================================
S2600WT_118:
- 1506972278： Fail to change fan offset from BIOS setup page or command

S2600WT_117:
- None.

S2600WT_116:
- None.

S2600WT_115:
- None.

S2600WT_114:
- None.

S2600WT_113a:
- None. 

S2600WT_113:
- None.

S2600WT_112:
- EPSD100250236: [Flash]NVMe drives show as "All deasserted" in 1U servers.
- EPSD100030395: HSBP Temp1 and Temp2 sensor was unavailable on EWS.
- EPSD100250298:Disable onboard NIC from BIOS of KNP/TLP, all system fan run at high speed.

S2600WT_111:
- None.

S2600WT_110:
- None.

S2600WT_109:
- EPSD100029551: The "successfully Completed" message will occur after FRUSDR package for other platform is update.

S2600WT_106:
- EPSD100027160: [MIC-FW]Only detect 750 Watt Power Supply (DC Input) Module 1

S2600WT_105:
- Implemented changes for CCB 273
- Implemented changes for CCB 278
- Updated FRUSDR Utility to version 13.1 Build 3

S2600WT_104:
- Added support for PCIE SSDs

S2600WT_103:
- N/A: Fixed a problem with System Airflow record in R2224 and R2312 chassis.
- EPSD100243816: WCP - BMC shows sensor for PS2, IO module, and SAS module when they are not present

S2600WT_102:
- N/A: Updated from Thermal Spreadsheet Rev 16

S2600WT_101:
- EPSD100243530: WCP - FRUSDR update does not allow chassis part number to be entered
- EPSD100243531: WCP - When updating FRU a space is not left between product version and product part number
- N/A: Updated for Thermal Spreadsheet rev 15

S2600WT_100:
- N/A: Updated for Thermal Spreadsheet rev 14
- EPSD100242714: [WCP] FAN speed can't be set to 100%.

S2600WT_014:
- EPSD100026705: [MIC-FW] FTF FSC-RecordCheck failed
- EPSD100026710: Clone of: Clone of: There are some unexpected PSU SELs after pull out the PSU
- EPSD100241617: FRUSDR Package sdr and fru files have copyright as 2011 instead of 2014
- EPSD100242708: SDR record mask values incorrect for HDD status sensors

S2600WT_013:
- EPSD100241617: FRUSDR Package sdr and fru files have copyright as 2011 instead of 2014
- EPSD100242708: SDR record mask values incorrect for HDD status sensors
- N/A: Updated FSC records to FSC Spreadsheet rev 13.

S2600WT_012:
- EPSD100241373: SDR Entity IDs not all correct\ optimal to IPMI specification
- EPSD100241617: FRUSDR Package sdr and fru files have copyright as 2011 instead of 2014
- EPSD100241678: WCP - Memory redundency loss event shows Sensor Name as Unknown in SEL
- N/A: Updated for Version 12 of Thermal Spreadsheet

S2600WT_011:
- EPSD100025704: There is no MIC Power sensor in Sensor Rwadings List when possible MIC cards installed
- EPSD100025969: The system fan will boost when the CPU DTS thermal margin hit the clamping threshold
- EPSD100239416: Autoconfig Does not change sensor information and EWS summary when switched from 1100W to 750W PS or vice versa
- EPSD100240282: System fans not ramping enough to cool Xeon PHI
- EPSD100026067: The Clamp control coefficient LSB/MSB in the SDR code does not match FSC config table for 83h, 84h
- EPSD100026068: The clamp temperature threshold for 5Ch,5Dh in SDR code does not match the FSC config sheet.
- EPSD100236851: FRUSDR Autoconfig .cfg and .sdr file transfer takes ~2 minutes to transfer files.

S2600WT_010:
- EPSD100239892: BMC should not restart after FRUSDR Update is done with legacy method (BMC should just run init agent)
- EPSD100025701: [MIC-FW]VRD hot sensor is auto re-arm sensor, but status LED need to rearm VRD hot sensor manually to come back solid green.

S2600WT_009:
- EPSD100237238: FRU incorrectly nominates 2U system fans as non-redundant
- EPSD100238835: FR1304S3.fru fails frusdr.efi load
- EPSD100239416: Autoconfig Does not change sensor information and EWS summary when switched from 1100W to 750W PS or vice versa
- EPSD100239474: G97168-101 programs FRU but is not visible to EWS or in documentation
- EPSD100239588: HSBP: When one HSBP is different model only 16 HDD are present
- EPSD100239781: SDR: "FSC Record Type = 19h" has incorrect added field "Domain mask (Domains 1-6)"
- EPSD100239813: FSC Record Type = 19 - Exit Air Temp record was already found in a previous SDR record
- EPSD100240114: FAIL: In profile 0-7, Clamp sensor 0xC4/0xC5 is referenced by more than one global clamp header record.
- EPSD100237832: IASC is not properly decoding and displaying the OEM Reserved sensor

S2600WT_008:
- EPSD100025266: SDR no system airflow information for domain 5
- EPSD100025532: SDR auto configuration fail
- EPSD100239264: Power Supply Single in slot 2 has no sensor listed in FRUSDR or EWS
- N/A: Updated to Thermal Spreadsheet version 8

S2600WT_007:
- N/A: Fixed issue of no fan Redundancy sensor installed for R1000 chassis
- N/A: Added missing Type 11 SDR for HSBP4 (Rear HSBP)
- EPSD100238242: FRUSDR Master Config file do not match with Riser Part number for MIC Risers - Hence MIC sensors are not installed while installing FRUSDR
- EPSD100025376: Heat HSBP temp sensor will trigger LC threshold after exceed UNC threshold
- N/A: Updated to Rev 7 of Thermal spreadsheet


S2600WT_006:
- N/A: Fixed issue of not installing FP Temp sensor for Storage FP
- N/A: Some other minor changes for better FSC operation.

S2600WT_005:
- EPSD100023989: ..There is no SEL event for sensor 0x0A - BMC Watchdog.
- EPSD100024730: No Fan Present sensor detected on EWS or via raw command.
- EPSD100024893: There is no Hot Swap Controller 1 Status sensor (0x69) in EWS.
- EPSD100025009: [MIC-FW] SDR auto config not detect IOM and SAS module
- EPSD100236573: SDR: There is no Auto Fan Profile SDR record
- EPSD100237426: FRUSDR V13.3: The "Copyright (c) 2012" displayed is wrong when run  "frusdr.efi -cfg master.cfg"
- N/A: Updated to Rev 6 of Thermal spreadsheet

S2600WT_004:

- EPSD100236817: Record subtype 0x19 - Exit air temp - record is invalid
- EPSD100236907: FSC main domain records have conflicting power supply domain bits
- EPSD100236877: PS2: Fan stop LED off completely and no SEL event
- EPSD100236886: PS2: no SEL entry when power supply is removed or inserted
- EPSD100236890: PS2 PEC Unsupported!
- EPSD100236879: PS: check the cold redundant active and standby states for PS2 failed

S2600WT_003:
- EPSD100236656: FRUSDR update via EFI Shell never comes back from "Refreshing BMC" message
- EPSD100236658: Sensor: P2 ERR2 sensor 0x7D update status never deasserted
- EPSD100236522: SDR Auto-Config Fault Sensor not implemented
- EPSD100236520: Chassis is not auto detected when SDR is installed
- EPSD100236655: FSC: non-supported feature (upper profile bank enabled) is active in the FSC Main Domain record
- EPSD100236681: SDR: 5 records, but 6 fans
- EPSD100236340: FRUSDR v13 build1 update FRU with cfg file meet error message.
- New version of FRUSDR.efi utility supporting Auto-Config (ver 13 build 2)
- Updated the OEM FSC records from thermal spreadsheet Rev 2.
- Some tag name changes for Auto Detect in the Master.cfg file.

S2600WT_002:
- Not Released

S2600WT_001:
- First release

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600WT_118:
-Add 1300W PSU detection on the master.cfg file. 
-Add SDRs of 1300W PSU's sensors on the S2600WT.sdr file.

S2600WT_117:
-Modify master.cfg to set the 2U Riser 3 fab 2's FRU and Temp sensor. 
-Update new FRUSDR utility ( FRUSDR_V14_0_Build9_AllOS ).

S2600WT_116:
-Modify PHI related sensors name.("PHI 1 Margin","PHI 1 Avg Pwr","PHI 2 Margin","PHI 2 Avg Pwr","PHI 1 Status","PHI 2 Status" to "MIC 1 Margin","MIC 1 Avg Pwr","MIC 2 Margin","MIC 2 Avg Pwr","MIC 1 Status","MIC 2 Status")
 
S2600WT_115:
-Add MVCard detection on the master.cfg file.

S2600WT_114:
- Update PSU global clamp coefficients and hysteresis to avoid oscillations.
- PCH unavailable sensor change from 100% to 60% on tab 'Global Clamp Records.'
- Update new FRUSDR utility ( FRUSDR_V14_0_Build8_AllOS ).

S2600WT_113a:
- Update frusdr.efi and ipmi.efi utility 13.1 build 11.
- Update master.cfg and mster_internal.cfg files with added the wildcard "%".

S2600WT_113:
- Add S2600WTTS1R.fru file for board S2600WTTS1R 10G.

S2600WT_112:
- None.

S2600WT_111:
- Add Riser 3 TEMP in R1000 SKU.

S2600WT_110:
- Add S2600WTTR.fru file for BDW CPU and probe this fru.
- Update frusdr.efi and ipmi.efi utility 13.1 build 8.

S2600WT_108:
- Cut in FRUSDR.efi and ipmi.efi utility 13.1 build 6 to support secure boot.

S2600WT_107:
- Add session audit SDR for Bad User PWD.

S2600WT_102:
- None

S2600WT_101:
- None

S2600WT_100:
- None

S2600WT_014:
- None

S2600WT_013:
- None

S2600WT_012:
- None

S2600WT_011:
- None

S2600WT_010:
- Added type 11 SDRs for PHI cards

S2600WT_009:
- None

S2600WT_008:
- None

S2600WT_007:
- None

S2600WT_006:
- None

S2600WT_005:
- None

S2600WT_004:
- None

S2600WT_003:
- Auto Configuration is operational.

S2600WT_002:
- Not Released

S2600WT_001:
- First release

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Common IBMC Firmware EAS
Common Platform IBMC FW EPS

[END OF RELEASE NOTES]
